Skip to main content
GET
Read a customer

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Path Parameters

id
string<uuid>
required

Customer's unique identifier.

Query Parameters

includeBalances
boolean
default:false

Whether to include each wallet's stablecoin balances in wallets[].balances.

includeTransactionLimits
boolean
default:false

Whether to include transactionLimits. Limits are returned per transaction type (onramp, offramp and transfer).

Response

Resource successfully retrieved.

type
enum<string>
required

Customer's type. Accepted in any case and returned in uppercase.

Available options:
BUSINESS
Example:

"BUSINESS"

id
string<uuid>
read-only

Customer's unique identifier.

Example:

"cd47b5de-70bd-4060-9396-45723d879f0b"

Customer's legal name. Must not be blank.

Example:

"Ribeiro Pagamentos Ltda"

taxId
string

Customer's tax ID. When country is BRA, it must be a valid CNPJ. Non-alphanumeric characters are removed, so the value is stored and returned without punctuation. Other countries are not format-validated.

Example:

"97794205000128"

incorporationDate
string<date>

Customer's incorporation date (ISO 8601).

Example:

"2019-08-01"

country
enum<string>

Customer's country of incorporation (ISO 3166-1 alpha-3).

Available options:
ABW,
AFG,
AGO,
AIA,
ALA,
ALB,
AND,
ARE,
ARG,
ARM,
ASM,
ATA,
ATF,
ATG,
AUS,
AUT,
AZE,
BDI,
BEL,
BEN,
BES,
BFA,
BGD,
BGR,
BHR,
BHS,
BIH,
BLM,
BLZ,
BMU,
BOL,
BRA,
BRB,
BRN,
BTN,
BVT,
BWA,
CAF,
CAN,
CCK,
CHE,
CHL,
CHN,
CIV,
CMR,
COD,
COG,
COK,
COL,
COM,
CPV,
CRI,
CUW,
CXR,
CYM,
CYP,
CZE,
DEU,
DJI,
DMA,
DNK,
DOM,
DZA,
ECU,
EGY,
ERI,
ESH,
ESP,
EST,
ETH,
FIN,
FJI,
FLK,
FRA,
FRO,
FSM,
GAB,
GBR,
GEO,
GGY,
GHA,
GIB,
GIN,
GLP,
GMB,
GNB,
GNQ,
GRC,
GRD,
GRL,
GTM,
GUF,
GUM,
GUY,
HKG,
HMD,
HND,
HRV,
HTI,
HUN,
IDN,
IMN,
IND,
IOT,
IRL,
IRQ,
ISL,
ISR,
ITA,
JAM,
JEY,
JOR,
JPN,
KAZ,
KEN,
KGZ,
KHM,
KIR,
KNA,
KOR,
KWT,
LAO,
LBN,
LBR,
LBY,
LCA,
LIE,
LKA,
LSO,
LTU,
LUX,
LVA,
MAC,
MAF,
MAR,
MCO,
MDA,
MDG,
MDV,
MEX,
MHL,
MKD,
MLI,
MLT,
MNE,
MNG,
MNP,
MOZ,
MRT,
MSR,
MTQ,
MUS,
MWI,
MYS,
MYT,
NAM,
NCL,
NER,
NFK,
NGA,
NIC,
NIU,
NLD,
NOR,
NPL,
NRU,
NZL,
OMN,
PAK,
PAN,
PCN,
PER,
PHL,
PLW,
PNG,
POL,
PRI,
PRT,
PRY,
PSE,
PYF,
QAT,
REU,
ROU,
RWA,
SAU,
SDN,
SEN,
SGP,
SGS,
SHN,
SJM,
SLB,
SLE,
SLV,
SMR,
SOM,
SPM,
SRB,
SSD,
STP,
SUR,
SVK,
SVN,
SWE,
SWZ,
SXM,
SYC,
TCA,
TCD,
TGO,
THA,
TJK,
TKL,
TKM,
TLS,
TON,
TTO,
TUN,
TUR,
TUV,
TWN,
TZA,
UGA,
UKR,
UMI,
URY,
USA,
UZB,
VAT,
VCT,
VGB,
VIR,
VNM,
VUT,
WLF,
WSM,
YEM,
ZAF,
ZMB,
ZWE
Example:

"BRA"

email
string<email>

Customer's email.

Example:

"finance@ribeiropagamentos.example.com"

metadata
object

Customer's metadata. Any JSON object.

Example:
accounts
object[]

Customer's virtual fiat accounts. Read an account's status and details with GET /accounts.

wallets
object[]

Customer's wallets, one per blockchain enabled for the project. Only returned when verification.status is APPROVED.

verification
object

Customer's verification.

requirements
object[]

Customer's onboarding requirements (documents, additional information and terms of service) and their status. Omitted in the response of PATCH /customers/{id}/additional-information.

additionalInformation
Individual · object

Customer's additional information, as answered in PATCH /customers/{id}/additional-information, without phone, the names, address and website. Omitted until additional information is sent. Follows the current questionnaire, or the previous questionnaire for customers created before October 28, 2026.

transactionLimits
object

Customer's transaction limits per transaction type. Only returned by GET /customers/{id} when includeTransactionLimits is true. Each transaction type consumes only its own limit: on-ramps count against onramp, off-ramps against offramp and transfers against transfer.

createdAt
string<date-time>

Creation date and time (UTC).

Example:

"2026-11-03T17:39:05.440Z"

updatedAt
string<date-time>

Last update date and time (UTC).

Example:

"2026-11-03T17:39:05.440Z"